=== debian/changelog ===
libcdio (2.2.0-4) unstable; urgency=medium

  * Remove "Multi-Arch: same" from -dev packages (Closes: #897327)
    - As suggested by MultiArch Hinter:
      https://wiki.debian.org/MultiArch/Hints#file_conflict
  * Update Standards-Version.
  * Fix DEP-3 (Patch Tagging) warnings

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Wed, 02 Apr 2025 20:13:22 -0700

libcdio (2.2.0-3) unstable; urgency=medium

  * Add breaks between newer libcdio19 and older libiso9660-11

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 30 Mar 2025 16:16:11 -0700

libcdio (2.2.0-2) unstable; urgency=medium

  * Make libiso9660 explicitly depend on libcdio19t64 version 2.2.0.
    - The ABI change in libiso9660 causes segmentation faults when a process
      using libiso9660 dynamically links the older version of libcdio.
    - The update makes Debian's libiso9660-12 depend on libcdio19t64 version
      2.2.0, instead of the old 2.1.0.
    - Notice how libcdio19t64 did not have its SONAME bumped.
    - Do the same for libcdio++ since libiso9660 also had an ABI break.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 13 Mar 2025 21:19:48 -0700

libcdio (2.2.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Fri, 07 Mar 2025 20:53:14 -0800

libcdio (2.2.0-1~exp1) experimental; urgency=low

  * New upstream version.
    - API changes to ecma_167.h:
      - Changes to struct member names.
    - ABI changes to libiso9660 and libiso9660++:
      - New struct member, u_su_fields, in iso_rock_statbuf_t.
      - New struct member, total_size, in iso9660_stat_t.
      - These types are used in libiso9660, libiso9660++, as well as in
        programs in libcdio-utils.
      - SONAMEs bumped to libiso9660.so.12 and libiso9660++.so.1 and the
        package names were updated accordingly, dropping the 't64' suffix from
        the 64-bits time_t transition.
  * Fix multi-arch availability for libcdio-dev (Closes: 897327)

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 25 Jan 2025 13:41:39 -0800

libcdio (2.1.0-5) unstable; urgency=medium

  [ Bruce Cable ]
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2024-36600-1.patch: Allocates space for
      growth and additional buffer in lib/iso9660/rock.c
    - debian/patches/CVE-2024-36600-2.patch: Limits the maximum read
      count to prevent an overflow in lib/driver/_cdio_stdio.c
    - debian/patches/CVE-2024-36600-3.patch: Adds input validation to
      unicode16_decode function in lib/udf/udf_fs.c
    - debian/patches/CVE-2024-36600-4.patch: Adds bounds checking for
      directory buffer size and total size calculation in
      lib/iso9660/iso9660_fs.c
    - debian/patches/CVE-2024-36600-5.patch: Fixes overflow in iso9660
      dir read (32-bit) in lib/iso9660/iso9660_fs.c
    - debian/patches/CVE-2024-36600-6.patch: Checks the validity of
      i_extended_attr member in udf_get_lba() in lib/udf/udf_fs.c
    - debian/patches/CVE-2024-36600-7.patch: Adds 32-bit size test
      only when needed in lib/iso9660/iso9660_fs.c
    - CVE-2024-36600

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Alessandro Astone ]
  * Update optional symbols, resolves lintian error

  [ Gabriel F. T. Gomes ]
  * Fix lintian warning: Build-Depends on obsolete libncursesw5-dev.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 18 Jan 2025 15:40:54 -0800

libcdio (2.1.0-4.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Zixing Liu ]
  * debian/patches/arm-t64-redirect-fix.patch: Fix implicit declaration
    after armhf time_t transition. (Closes: #1065778)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 12 Apr 2024 09:09:50 +0200

libcdio (2.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062245

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 10:35:17 +0000
