=== debian/control ===
Source: libcdio
Priority: optional
Section: libs
Maintainer: Gabriel F. T. Gomes <gabriel@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  dctrl-tools | grep-dctrl,
  help2man,
  libpopt-dev,
  libncurses-dev,
  libcam-dev [kfreebsd-any],
  pkgconf,
  texinfo,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libcdio.git
Vcs-Browser: https://salsa.debian.org/debian/libcdio
Homepage: https://www.gnu.org/software/libcdio/

Package: libcdio-dev
Section: libdevel
Architecture: any
Depends: libcdio19t64 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}
Description: library to read and control CD-ROM (development files)
 This package contains development files (headers and static library)
 for the libcdio library.
 .
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libcdio++-dev
Section: libdevel
Architecture: any
Depends: libcdio++1t64 (= ${binary:Version}), ${libcxxdev}, libcdio-dev (= ${binary:Version}), ${misc:Depends}
Description: C++ library to read and control CD-ROM (development files)
 This package contains development files (headers and static library)
 for the libcdio++ library.
 .
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libcdio19t64
Provides: ${t64:Provides}
Replaces: libcdio19
Breaks:
  libcdio19 (<< ${source:Version}),
  libiso9660-11 (<< 2.2.0),
  libiso9660-11t64 (<< 2.2.0),
  libiso9660++-0 (<< 2.2.0),
  libiso9660++-0t64 (<< 2.2.0)
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and control CD-ROM
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libcdio++1t64
Provides: ${t64:Provides}
Replaces: libcdio++1
Breaks: libcdio++1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library to read and control CD-ROM
 This C++ library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libiso9660-dev
Section: libdevel
Architecture: any
Depends: libiso9660-12 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
Description: library to work with ISO9660 filesystems (development files)
 This package contains development files (headers and static library)
 for the libiso9660 library.
 .
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libiso9660++-dev
Section: libdevel
Architecture: any
Depends: libiso9660++1 (= ${binary:Version}), libcdio++-dev (= ${binary:Version}), ${misc:Depends}
Description: C++ library to work with ISO9660 filesystems (development files)
 This package contains C++ development files (headers and static library)
 for the libiso9660 library.
 .
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libiso9660-12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdio19t64 (>= 2.2.0-2)
Description: library to work with ISO9660 filesystems
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libiso9660++1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdio19t64 (>= 2.2.0-2)
Description: C++ library to work with ISO9660 filesystems
 This C++ library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libudf-dev
Section: libdevel
Architecture: any
Depends: libudf0t64 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
Description: library to work with UDF filesystems (development files)
 This package contains development files (headers and static library)
 for the libudf library.
 .
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libudf0t64
Provides: ${t64:Provides}
Replaces: libudf0
Breaks: libudf0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with UDF filesystems
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libcdio-utils
Section: otherosfs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample applications based on the CDIO libraries
 This package contains a collection of small libcdio-based tools:
  * cd-drive      show CD-ROM drive characteristics
  * cd-info       show information about a CD or CD-image
  * cd-paranoia   an audio CD ripper
  * cd-read       read information from a CD or CD-image
  * cdda-player   a simple curses-based audio CD player
  * iso-info      show information about an ISO 9660 image
  * iso-read      read portions of an ISO 9660 image
  * mmc-tool      issue low-level commands to a CD drive
