=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode --disable-cddb --disable-vcd-info

override_dh_auto_install:
	dh_auto_install
	iconv \
	  -f iso8859-1 \
	  -t utf8 \
	  -o debian/tmp/usr/include/cdio/cd_types.h \
	  debian/tmp/usr/include/cdio/cd_types.h


%:
	dh $@
