=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libcdio-$1\.tar\.gz/ \
  https://github.com/libcdio/libcdio/tags .*/v?(\d\S+)\.tar\.gz
